#pragma once
#include "afxcmn.h"


// CCParkVoiceIntercomDlg 对话框

class CCParkVoiceIntercomDlg : public CDialog
{
	DECLARE_DYNAMIC(CCParkVoiceIntercomDlg)

public:
	CCParkVoiceIntercomDlg(CWnd* pParent = NULL);   // 标准构造函数
	virtual ~CCParkVoiceIntercomDlg();

// 对话框数据
	enum { IDD = IDD_PARK_VOICE_DIALOG };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持

	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedParkVoiceonButton();
	afx_msg void OnBnClickedParkVoiceoffButton();
	afx_msg void OnNMThemeChangedParkMicSlider(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnNMThemeChangedParkLoudSlider(NMHDR *pNMHDR, LRESULT *pResult);

public:

	LPVOID m_olpTalkHandle;
	INT32 m_dwMicVolume;
	INT32 m_dwSoundVolume;
	CSliderCtrl m_oSliMicVolume;
	CSliderCtrl m_oSliSoundVolume;
};
